Download it now!
Bug 69041 - LibreLogo: SVG/SMIL timing problem with filled polylines
Summary: LibreLogo: SVG/SMIL timing problem with filled polylines
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.2.1 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.2.0 target:4.1.2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-06 15:26 UTC by László Németh
Modified: 2013-12-17 13:51 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
document with test code (11.61 KB, application/vnd.oasis.opendocument.text)
2013-09-06 15:26 UTC, László Németh
Details
fixed SVG SMIL animation with correct timing (6.44 KB, image/svg+xml)
2013-09-06 15:28 UTC, László Németh
Details
document with test code (13.07 KB, application/vnd.oasis.opendocument.text)
2013-09-06 15:38 UTC, László Németh
Details
fixed SVG SMIL animation with correct timing (13.27 KB, image/svg+xml)
2013-09-06 15:38 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2013-09-06 15:26:12 UTC
Created attachment 85358 [details]
document with test code

LibreLogo creates new shapes at FILL,causing timing problem in SVG SMIL export.

(Attached) test code:

PICTURE “filled_polyline_animation.svg” [
  REPEAT 10 [
    V = REPCOUNT + 2
    REPEAT V - 1 [ FD 50 RIGHT 360/V ]
    FILL
    SLEEP 500
  ]
]
Comment 1 László Németh 2013-09-06 15:28:33 UTC
Created attachment 85359 [details]
fixed SVG SMIL animation with correct timing
Comment 2 László Németh 2013-09-06 15:38:24 UTC
Created attachment 85360 [details]
document with test code
Comment 3 László Németh 2013-09-06 15:38:53 UTC
Created attachment 85361 [details]
fixed SVG SMIL animation with correct timing
Comment 4 László Németh 2013-09-06 15:39:57 UTC
New and newly attached test code (it really shows the timing problem):

PICTURE “filled_polyline_animation.svg” [
REPEAT 10 [
  PENUP
  FILLCOLOR “WHITE” CIRCLE 500
  FILLCOLOR ANY PENDOWN
  V = REPCOUNT + 2
  REPEAT V - 1 [ FD 50 RIGHT 360/V ]
  FILL
  SLEEP 500
]
]
Comment 5 Commit Notification 2013-09-06 15:41:59 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f48b387d2ca1ab9022a370c2f4e67c8e7f23021c

fdo#69041 LibreLogo: fix SVG/SMIL timing with filled polylines



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-09-06 17:10:31 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cd53ac3dbf66b75ea9685121fcf6c5bb6c84feef&h=libreoffice-4-1

fdo#69041 LibreLogo: fix SVG/SMIL timing with filled polylines


It will be available in LibreOffice 4.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-09-09 14:49:53 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "libreoffice-4-1-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7940ab6fb6ccf81b096918f8230bca3661c31790&h=libreoffice-4-1-2

fdo#69041 LibreLogo: fix SVG/SMIL timing with filled polylines


It will be available already in LibreOffice 4.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.